<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full" (click)="closeIfOpen()">
  <ng-content></ng-content>
</div>
<ng-container *ngLet="(opened$ | async) ?? false as opened">
  <ng-container *ngLet="(consumption$ | async) ?? [] as consumptions">
    <div class="fixed bottom-4 right-4 z-50">
      <div *ngIf="opened" class="section w-[720px] min-h-[200px] shadow-lg">
        <div class="w-full flex items-center justify-between gap-10 border-b border-borderGrey pb-2">
          <div class="text-text-300 font-semibold text-sm flex items-center gap-2">
            <i class="pi pi-database"></i>
            <div>Consumption ({{ consumptions.length > 100 ? '100+' : consumptions.length }}):</div>
          </div>
          <div class="flex items-center gap-4">
            <p-button [link]="true" label="Clear" icon="fa fa-trash-can" severity="danger" size="small" (onClick)="clear()"></p-button>
            <p-button icon="pi pi-times" [rounded]="true" (onClick)="close()" severity="danger" size="small"></p-button>
          </div>
        </div>
        <div class="max-h-[480px] overflow-y-auto">
          <div *ngIf="consumptions.length <= 0" class="w-full flex flex-col items-center gap-4 mt-10">
            <div class="text-lg font-semibold text-text-300">
              <app-sad-face></app-sad-face>
            </div>
            <div class="text-text-300">No Consumptions</div>
          </div>
          <ng-container *ngIf="consumptions.length > 0">
            <div *ngFor="let consumption of consumptions" class="border-b border-borderGrey">
              <app-consumption [consumption]="consumption"></app-consumption>
            </div>
          </ng-container>
        </div>
      </div>
      <p-button *ngIf="!opened" icon="pi pi-database" [rounded]="true" [raised]="true" (onClick)="open()"></p-button>
    </div>
  </ng-container>
</ng-container>
